Bug 103504 - kernel 2.4.18-18.7.x hangs
kernel 2.4.18-18.7.x hangs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-01 08:02 EDT by Need Real Name
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-09-01 08:02:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.4) Gecko/20030624

Description of problem:

At some time kernel hangs with messages:

Sep  1 00:30:00 ns kernel: Unable to handle kernel NULL pointer dereference at
virtual address 00000018
Sep  1 00:30:00 ns kernel: printing eip:
Sep  1 00:30:00 ns kernel: c0139e54
Sep  1 00:30:00 ns kernel: *pde = 00000000
Sep  1 00:30:00 ns kernel: Oops: 0000
Sep  1 00:30:00 ns kernel: nls_iso8859-1 loop ip_conntrack_ftp ip_nat_ftp 3c59x
ipt_LOG ipt_state ipt_REDIRECT iptable_nat ip_conntrack iptable_filter ip_tables
ide-cd cdrom ext3 jbd ra
Sep  1 00:30:00 ns kernel: CPU:    0
Sep  1 00:30:00 ns kernel: EIP:    0010:[<c0139e54>]    Not tainted
Sep  1 00:30:00 ns kernel: EFLAGS: 00010207
Sep  1 00:30:00 ns kernel:
Sep  1 00:30:00 ns kernel: EIP is at sync_page_buffers [kernel] 0x1c (2.4.18-18.7.x)
Sep  1 00:30:00 ns kernel: eax: c7fb6000   ebx: 00000000   ecx: 000001d0  
edx:00000040
Sep  1 00:30:00 ns kernel: esi: 00000001   edi: 00000002   ebp: 00000007  
esp:c7fb7f20
Sep  1 00:30:00 ns kernel: ds: 0018   es: 0018   ss: 0018
Sep  1 00:30:00 ns kernel: Process kswapd (pid: 5, stackpage=c7fb7000)
Sep  1 00:30:00 ns kernel: Stack: 00000202 c5092c70 00000286 00000286 c1121440
c3b69400 c3b69500 c1121440
Sep  1 00:30:00 ns kernel: c0139f64 c3b69500 c14d7200 c1087834 000001d0 00000286
c1121440 c3b69500
Sep  1 00:30:00 ns kernel: c1143e7c 00002292 c012e42c c1121440 000001d0 0000037e
000002dc 0000027b
Sep  1 00:30:00 ns kernel: Call Trace: [<c0139f64>] try_to_free_buffers [kernel]
0xb4 (0xc7fb7f40))
Sep  1 00:30:00 ns kernel: [<c012e42c>] page_launder_zone [kernel] 0x4e0
(0xc7fb7f68))
Sep  1 00:30:00 ns kernel: [<c012e7d0>] page_launder [kernel] 0x140 (0xc7fb7f90))
Sep  1 00:30:00 ns kernel: [<c012efe4>] do_try_to_free_pages [kernel] 0x10
(0xc7fb7fb0))
Sep  1 00:30:00 ns kernel: [<c012f2d0>] kswapd [kernel] 0x10c (0xc7fb7fd4))
Sep  1 00:30:00 ns kernel: [<c0105000>] stext [kernel] 0x0 (0xc7fb7fe8))
Sep  1 00:30:00 ns kernel: [<c0106e92>] kernel_thread [kernel] 0x26 (0xc7fb7ff0))
Sep  1 00:30:00 ns kernel: [<c012f1c4>] kswapd [kernel] 0x0 (0xc7fb7ff8))
Sep  1 00:30:00 ns kernel:
Sep  1 00:30:00 ns kernel:
Sep  1 00:30:00 ns kernel: Code: f7 43 18 06 00 00 00 74 42 0f ab 6b 18 19 c0 85
c0 74 38 0f

Version-Release number of selected component (if applicable):
2.4.18-18.7.x

How reproducible:
Didn't try


Additional info:
Comment 1 acount closed by user 2003-09-01 19:19:19 EDT
2.4.18-18.7.x is a neanderthal kernel, try latest -> 2.4.20-20.7
Comment 2 Bugzilla owner 2004-09-30 11:41:29 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.